4Suite™ API Documentation

# ► Module Ft.Lib.DistExt.BuildPy

Classes: BuildPy

## Classes

class BuildPy(distutils.command.build_py.build_py)

### Methods

finalize_options(self)
get_outputs(self, include_bytecode=1)
run(self)

### Methods inherited from class distutils.command.build_py.build_py

build_module, build_modules, build_package_data, build_packages, byte_compile, check_module, check_package, find_all_modules, find_data_files, find_modules, find_package_modules, get_data_files, get_module_outfile, get_package_dir, get_source_files, initialize_options

### Methods inherited from class distutils.cmd.Command

__getattr__, __init__, announce, copy_file, copy_tree, debug_print, dump_options, ensure_dirname, ensure_filename, ensure_finalized, ensure_string, ensure_string_list, execute, get_command_name, get_finalized_command, get_sub_commands, make_archive, make_file, mkpath, move_file, reinitialize_command, run_command, set_undefined_options, spawn, warn

### Fields

command_name = 'build_py'

### Fields